from django.urls import path
from . import views
from asset.views import AssetCreateView, AssetDeleteView, AssetUpdateView, AssetListView, asset_from_gtin

app_name = 'asset'
urlpatterns = [
    path('', AssetListView.as_view(), name='list'),
    path('add/', AssetCreateView.as_view(), name='add'),
    path('addbygtin/', asset_from_gtin, name='add-by-gtin'),
    path('<int:pk>/', AssetUpdateView.as_view(), name='update'),
    path('<int:pk>/', AssetUpdateView.as_view(), name='detail'),
    path('<int:pk>/delete/', AssetDeleteView.as_view(), name='delete'),
]

